Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1047493 - AFR : [RFE] Improvements needed in "gluster volume heal info" commands
Summary: AFR : [RFE] Improvements needed in "gluster volume heal info" commands
Keywords:
Status: CLOSED EOL
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: replicate
Version: 2.1
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Mohamed Ashiq
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 1261463
TreeView+ depends on / blocked
 
Reported: 2013-12-31 10:59 UTC by spandura
Modified: 2017-08-24 11:10 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
: 1261463 (view as bug list)
Environment:
Last Closed: 2017-08-24 11:10:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description spandura 2013-12-31 10:59:58 UTC
Description of problem:
========================
To know whether there are any pending self-heals on the volume we use "gluster volume heal <volume_name> info" command. This will print "Number of Entries" per brick as well as filenames/GFID's of the files to be self-healed. 

Sometimes one might just need to know how many self-heals are pending on the volume rather than knowing each and every files filename/GFID. (If there are millions of files to be self-healed knowing each and every filename would be meaningless). 

At the same time whenever a user need to know what files needs self-heals then we should be able to provide that information as well. One of the case can be self-heal is taking a very long time and user wants to see on what files self-heal is pending. 

Hence, It will be really informative if we can separate this one command "gluster volume heal <volume_name> info" into two different commands for : 

1) command which gives summary of number of pending entries

2) command which details on what files needs self-heal 


Version-Release number of selected component (if applicable):
============================================================
glusterfs 3.4.0.52rhs built on Dec 20 2013 00:45:50

Comment 3 Mike McCune 2016-03-28 23:07:19 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions


Note You need to log in before you can comment on or make changes to this bug.